## threadweaver 5.49.0

=== debian/changelog ===
threadweaver (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:21 +0200

threadweaver (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:11:17 +0200

=== debian/control ===
Source: threadweaver
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.49.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/threadweaver
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/threadweaver
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/threadweaver.git

Package: libkf5threadweaver-dev
Section: libdevel
Architecture: any
Depends: libkf5threadweaver5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Breaks: libkf5kdelibs4support-dev (<< 5.49)
Recommends: libkf5threadweaver-doc (= ${source:Version})
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5threadweaver-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5threadweaver5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5runner5 (<< 5.49)
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 5.

## threadweaver 5.50.0

=== debian/changelog ===
threadweaver (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:20:27 +0100

threadweaver (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:32:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.49.0~),
+               extra-cmake-modules (>= 5.50.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -14,16 +14,15 @@
                qttools5-dev-tools,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/threadweaver
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/threadweaver
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/threadweaver.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
 
 Package: libkf5threadweaver-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5threadweaver5 (= ${binary:Version}),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
-Breaks: libkf5kdelibs4support-dev (<< 5.49)
 Recommends: libkf5threadweaver-doc (= ${source:Version})
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -39,6 +38,7 @@
 Package: libkf5threadweaver-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -50,13 +50,11 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5threadweaver5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5runner5 (<< 5.49)
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
  interface to queue tasks and execute them in an efficient way.  You simply

## threadweaver 5.51.0

=== debian/changelog ===
threadweaver (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:41 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.51.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -14,15 +14,16 @@
                qttools5-dev-tools,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/threadweaver
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/threadweaver
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/threadweaver.git
 
 Package: libkf5threadweaver-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5threadweaver5 (= ${binary:Version}),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
+Breaks: libkf5kdelibs4support-dev (<< 5.51)
 Recommends: libkf5threadweaver-doc (= ${source:Version})
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -38,7 +39,6 @@
 Package: libkf5threadweaver-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -50,11 +50,13 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5threadweaver5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5runner5 (<< 5.51)
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
  interface to queue tasks and execute them in an efficient way.  You simply

## threadweaver 5.52.0

=== debian/changelog ===
threadweaver (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:44:39 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.51.0~),
+               extra-cmake-modules (>= 5.52.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -14,16 +14,15 @@
                qttools5-dev-tools,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/threadweaver
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/threadweaver
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/threadweaver.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
 
 Package: libkf5threadweaver-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5threadweaver5 (= ${binary:Version}),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
-Breaks: libkf5kdelibs4support-dev (<< 5.51)
 Recommends: libkf5threadweaver-doc (= ${source:Version})
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -39,6 +38,7 @@
 Package: libkf5threadweaver-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -50,13 +50,11 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5threadweaver5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5runner5 (<< 5.51)
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
  interface to queue tasks and execute them in an efficient way.  You simply

## threadweaver 5.53.0

=== debian/changelog ===
threadweaver (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:51:17 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.52.0~),
+               extra-cmake-modules (>= 5.53.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## threadweaver 5.54.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.54.0") # handled by release scripts
project(ThreadWeaver VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.54.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})


include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.9.0)
find_package(Qt5Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)


include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX THREADWEAVER
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/threadweaver_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ThreadWeaverConfigVersion.cmake"
                        SOVERSION 5)
# --

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(benchmarks)
endif()
add_subdirectory(examples)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ThreadWeaver")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5ThreadWeaver_QCH
        FILE KF5ThreadWeaverQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ThreadWeaverQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5ThreadWeaverConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5ThreadWeaverConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/threadweaver_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ThreadWeaverConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ThreadWeaverConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5ThreadWeaverTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ThreadWeaverTargets.cmake NAMESPACE KF5:: )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
########### next target ###############

set(ThreadWeaver_LIB_SRCS
    queuesignals.cpp
    queuesignals_p.cpp
    queuestream.cpp
    queueapi.cpp
    exception.cpp
    queue.cpp
    weaver.cpp
    weaver_p.cpp
    debuggingaids.cpp
    thread.cpp
    job.cpp
    job_p.cpp
    iddecorator.cpp
    qobjectdecorator.cpp
    executor.cpp
    executewrapper.cpp
    state.cpp
    weaverimplstate.cpp
    inconstructionstate.cpp
    workinghardstate.cpp
    suspendingstate.cpp
    suspendedstate.cpp
    shuttingdownstate.cpp
    destructedstate.cpp
    collection.cpp
    collection_p.cpp
    sequence.cpp
    sequence_p.cpp
    dependencypolicy.cpp
    dependency.cpp
    resourcerestrictionpolicy.cpp
)

add_library(KF5ThreadWeaver ${ThreadWeaver_LIB_SRCS})
generate_export_header(KF5ThreadWeaver BASE_NAME ThreadWeaver)
add_library(KF5::ThreadWeaver ALIAS KF5ThreadWeaver)
target_link_libraries(KF5ThreadWeaver PUBLIC Qt5::Core)
target_include_directories(KF5ThreadWeaver PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..;${CMAKE_CURRENT_BINARY_DIR}>")
target_include_directories(KF5ThreadWeaver INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/ThreadWeaver>")
#FIXME: make this PUBLIC, so that it applies to anything that links against
kde_target_enable_exceptions(KF5ThreadWeaver PRIVATE)

set_target_properties(KF5ThreadWeaver PROPERTIES
    VERSION ${THREADWEAVER_VERSION_STRING}
    SOVERSION ${THREADWEAVER_SOVERSION}
    EXPORT_NAME ThreadWeaver
)
install(TARGETS KF5ThreadWeaver EXPORT KF5ThreadWeaverTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(ThreadWeaver_CamelCase_HEADERS
  HEADER_NAMES
    ThreadWeaver
    Weaver
    WeaverInterface
    QueueAPI
    QueueStream
    Queueing
    Exception
    QueueInterface
    Queue
    DebuggingAids
    Thread
    JobInterface
    Job
    IdDecorator
    QObjectDecorator
    Lambda
    State
    WeaverImplState
    InConstructionState
    WorkingHardState
    SuspendingState
    SuspendedState
    ShuttingDownState
    DestructedState
    Collection
    Sequence
    Dependency
    DependencyPolicy
    ResourceRestrictionPolicy
    QueueSignals
    QueuePolicy
    JobPointer
    ManagedJobPointer

    PREFIX ThreadWeaver
    REQUIRED_HEADERS ThreadWeaver_HEADERS
)
install(FILES ${ThreadWeaver_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/ThreadWeaver/ThreadWeaver COMPONENT Devel)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/threadweaver_export.h
    ${ThreadWeaver_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/ThreadWeaver/threadweaver COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5ThreadWeaver_QCH
        NAME ThreadWeaver
        BASE_NAME KF5ThreadWeaver
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${ThreadWeaver_HEADERS}
            "${CMAKE_SOURCE_DIR}/docs/use-cases.md"
            "${CMAKE_SOURCE_DIR}/docs/whymultithreading.md"
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        BLANK_MACROS
            THREADWEAVER_EXPORT
            THREADWEAVER_DEPRECATED
            THREADWEAVER_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME ThreadWeaver LIB_NAME KF5ThreadWeaver DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/ThreadWeaver)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
threadweaver (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:44 -0300

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,27 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.53.0~),
+               extra-cmake-modules (>= 5.54.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.9.0~),
                qttools5-dev-tools,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/threadweaver
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/threadweaver
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/threadweaver.git
 
 Package: libkf5threadweaver-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5threadweaver5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.9.0~),
          ${misc:Depends},
+Breaks: libkf5kdelibs4support-dev (<< 5.54)
 Recommends: libkf5threadweaver-doc (= ${source:Version})
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -38,7 +39,6 @@
 Package: libkf5threadweaver-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -50,11 +50,13 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5threadweaver5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5runner5 (<< 5.54)
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
  interface to queue tasks and execute them in an efficient way.  You simply

## threadweaver 5.55.0

=== debian/changelog ===
threadweaver (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:34:42 +0000

threadweaver (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:37:45 +0000

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,26 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.54.0~),
+               extra-cmake-modules (>= 5.55.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.8.0~),
                qttools5-dev-tools,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/threadweaver
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/threadweaver
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/threadweaver.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
 
 Package: libkf5threadweaver-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5threadweaver5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.9.0~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
-Breaks: libkf5kdelibs4support-dev (<< 5.54)
 Recommends: libkf5threadweaver-doc (= ${source:Version})
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -39,6 +38,7 @@
 Package: libkf5threadweaver-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -50,13 +50,11 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5threadweaver5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5runner5 (<< 5.54)
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
  interface to queue tasks and execute them in an efficient way.  You simply

## threadweaver 5.56.0

=== debian/changelog ===
threadweaver (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:39:13 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.55.0~),
+               extra-cmake-modules (>= 5.56.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## threadweaver 5.57.0

=== debian/changelog ===
threadweaver (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:41:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.57.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## threadweaver 5.58.0

=== debian/changelog ===
threadweaver (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:44:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.57.0~),
+               extra-cmake-modules (>= 5.58.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## threadweaver 5.59.0

=== debian/changelog ===
threadweaver (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:22:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.58.0~),
+               extra-cmake-modules (>= 5.59.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## threadweaver 5.61.0

=== debian/changelog ===
threadweaver (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:46:22 +0100

threadweaver (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:19:41 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.59.0~),
+               extra-cmake-modules (>= 5.61.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## threadweaver 5.62.0

=== debian/changelog ===
threadweaver (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:20 -0700

threadweaver (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 932765).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,28 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.61.0~),
+               extra-cmake-modules (>= 5.62.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.11.0~),
+               qttools5-dev,
                qttools5-dev-tools,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/threadweaver
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/threadweaver
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/threadweaver.git
 
 Package: libkf5threadweaver-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5threadweaver5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.11.0~),
          ${misc:Depends},
+Breaks: libkf5kdelibs4support-dev (<< 5.54)
 Recommends: libkf5threadweaver-doc (= ${source:Version})
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -38,7 +40,6 @@
 Package: libkf5threadweaver-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -50,11 +51,13 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5threadweaver5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5runner5 (<< 5.54)
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
  interface to queue tasks and execute them in an efficient way.  You simply

## threadweaver 5.64.0

=== debian/changelog ===
threadweaver (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:28:10 +0000

threadweaver (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:10:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,26 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.62.0~),
+               extra-cmake-modules (>= 5.64.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.11.0~),
-               qttools5-dev,
+               qtbase5-dev (>= 5.8.0~),
                qttools5-dev-tools,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/threadweaver
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/threadweaver
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/threadweaver.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
 
 Package: libkf5threadweaver-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5threadweaver5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.11.0~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
-Breaks: libkf5kdelibs4support-dev (<< 5.54)
 Recommends: libkf5threadweaver-doc (= ${source:Version})
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -40,6 +38,7 @@
 Package: libkf5threadweaver-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -51,13 +50,11 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5threadweaver5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5runner5 (<< 5.54)
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
  interface to queue tasks and execute them in an efficient way.  You simply

## threadweaver 5.65.0

=== debian/changelog ===
threadweaver (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:03:56 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.64.0~),
+               extra-cmake-modules (>= 5.65.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## threadweaver 5.66.0

=== debian/changelog ===
threadweaver (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:23:04 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.65.0~),
+               extra-cmake-modules (>= 5.66.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## threadweaver 5.67.0

=== debian/changelog ===
threadweaver (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:54:08 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.66.0~),
+               extra-cmake-modules (>= 5.67.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## threadweaver 5.68.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,30 +1,30 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.54.0") # handled by release scripts
+set(KF5_VERSION "5.68.0") # handled by release scripts
 project(ThreadWeaver VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.54.0  NO_MODULE)
-set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
+find_package(ECM 5.68.0  NO_MODULE)
+set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
-set(REQUIRED_QT_VERSION 5.9.0)
+set(REQUIRED_QT_VERSION 5.12.0)
 find_package(Qt5Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
-
-include(GenerateExportHeader)
-
+include(ECMGenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(ECMAddQch)
+
+set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
@@ -34,7 +34,8 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ThreadWeaverConfigVersion.cmake"
                         SOVERSION 5)
 # --
-
+add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
 add_subdirectory(src)
 if (BUILD_TESTING)
     add_subdirectory(autotests)

=== debian/changelog ===
threadweaver (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 21:01:23 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.67.0~),
+               extra-cmake-modules (>= 5.68.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5threadweaver5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## threadweaver 5.70.0

=== debian/changelog ===
threadweaver (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:35:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.70.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## threadweaver 5.71.0

=== debian/changelog ===
threadweaver (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:10:11 +0100

threadweaver (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Keep kubuntu autotest testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 08 Jun 2020 08:03:33 +0100

threadweaver (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.70.0).
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:30 +0200

threadweaver (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:58:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,29 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.70.0~),
+               extra-cmake-modules (>= 5.71.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.12.0~),
+               qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/threadweaver
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/threadweaver
+Rules-Requires-Root: no
 
 Package: libkf5threadweaver-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5threadweaver5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.12.0~),
          ${misc:Depends},
+Breaks: libkf5kdelibs4support-dev (<< 5.54)
 Recommends: libkf5threadweaver-doc (= ${source:Version})
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -38,7 +41,6 @@
 Package: libkf5threadweaver-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
@@ -50,11 +52,13 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5threadweaver5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5runner5 (<< 5.54)
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
  interface to queue tasks and execute them in an efficient way.  You simply

## threadweaver 5.72.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.72.0") # handled by release scripts
 project(ThreadWeaver VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.68.0  NO_MODULE)
+find_package(ECM 5.72.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
threadweaver (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:36:45 +0100

threadweaver (5.71.0-0ubuntu2) groovy; urgency=medium

  * Sync debian dropping testsuite.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Jun 2020 17:03:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.71.0~),
+               extra-cmake-modules (>= 5.72.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## threadweaver 5.73.0

=== debian/changelog ===
threadweaver (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:02:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.72.0~),
+               extra-cmake-modules (>= 5.73.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## threadweaver 5.74.0

=== debian/changelog ===
threadweaver (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:02:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.73.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON
override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## threadweaver 5.76.0

=== debian/changelog ===
threadweaver (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:26:22 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.76.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
